import type { CapacityPlanningInsight, CapacityPlanningInsightFeedbackResponse, CapacityPlanningSubmitInsightFeedbackDTO } from '@bringg/types';
import { type Moment } from 'moment';
import Session from '../Services/Identity/Session';
import type { GetInsightsCountParams, GetInsightsCountResponse, GetInsightsParams, UpdateInsightDoneParams, UpdateInsightDoneResponse } from './types';
export default class CapacityInsightsApi {
    private capacityInsightsEntity;
    constructor(session: Session);
    getInsightCount(params: GetInsightsCountParams): Promise<GetInsightsCountResponse[]>;
    getInsights(params: GetInsightsParams): Promise<CapacityPlanningInsight[]>;
    updateInsightDone(params: UpdateInsightDoneParams): Promise<UpdateInsightDoneResponse>;
    getInsightsForDates(dates: Moment[], teamId: number): Promise<Record<string, CapacityPlanningInsight[]>>;
    getInsightCountsForTeams(teamIds: number[], dateStart: Moment, dateEnd: Moment): Promise<Map<number, number>>;
    submitInsightFeedback(insightId: number, body: CapacityPlanningSubmitInsightFeedbackDTO): Promise<CapacityPlanningInsightFeedbackResponse>;
    findLatestInsightFeedback(insightIds: number[]): Promise<CapacityPlanningInsightFeedbackResponse[]>;
    deleteInsightFeedbacks(insightId: number): Promise<void>;
}
